# Based on spec file originally generated by gem2rpm
%global gem_name tmuxinator

Name: %{gem_name}
Version: 0.6.8
Release: 1%{?dist}
Summary: Create and manage complex tmux sessions easily
Group: Development/Languages
License: MIT
URL: https://github.com/aziz/tmuxinator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) >= 1.8.23
Requires: rubygem(thor) >= 0.18.0
Requires: rubygem(erubis) 
Requires: tmux
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8.23
BuildRequires: ruby 
BuildRequires: rubygem(rspec) >= 2.14.0
# BuildRequires: rubygem(simplecov) 
# BuildRequires: rubygem(coveralls) 
# BuildRequires: rubygem(awesome_print) 
# BuildRequires: rubygem(pry) 
# BuildRequires: rubygem(pry-nav) 
# BuildRequires: rubygem(factory_girl) 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Create and manage complex tmux sessions easily.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# FIXME: Test suite not currently run because it requires rubygem-coveralls
# which at the time of this writing is not available in Fedora.
#
# Run the test suite
#%check
#pushd .%{gem_instdir}
#rspec
#popd

%files
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/tmuxinator.gemspec

%dir %{gem_instdir}
%{gem_instdir}
%{_bindir}/mux
%{_bindir}/tmuxinator
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rspec
%exclude %{gem_instdir}/.travis.yml
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Tue Jul 08 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.6.8-1
- Update to latest upstream
- Add tests

* Tue Jan 28 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.6.6-2
- Add macros to handle RHEL builds for EPEL

* Thu Nov 21 2013 Adam Miller <maxamillion@fedoraproject.org> - 0.6.6-1
- Initial package for Fedora
